import React, { useState } from 'react';
import { Tabs, Card } from 'antd';
import { PageContainer } from '@ant-design/pro-components';
import BasicForm from './BasicForm';
import DishList from './DishList';

export default (props) => {
  const [activeTabKey, setActiveTabKey] = useState('item-1');

  const tabList = [
    { tab: '基本情况', key: 'item-1', }, // 务必填写 key
    { tab: '菜单详情', key: 'item-2', },
  ];

  return (
    <PageContainer>
      <Card
        style={{ width: '100%' }}
        tabList={tabList}
        activeTabKey={activeTabKey}
        onTabChange={setActiveTabKey}>

        {
          activeTabKey === 'item-1' && <BasicForm />
        }

        {
          activeTabKey === 'item-2' && <DishList />
        }

      </Card>
    </PageContainer>
  )
}
